Bug 525304 - Review Request: notification-daemon-engine-slider - The Slider theme engine for the notification daemon
Summary: Review Request: notification-daemon-engine-slider - The Slider theme engine f...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 20:41 UTC by jmccann
Modified: 2015-01-14 23:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-25 00:51:42 UTC
mclasen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Matthias Clasen 2009-09-24 03:47:42 UTC
package builds fine in mock

rpmlint output:

[mclasen@planemask ~]$ rpmlint /var/lib/mock/fedora-rawhide-i386/result/notification-daemon-engine-slider-*.rpm
notification-daemon-engine-slider.i586: E: zero-length /usr/share/doc/notification-daemon-engine-slider-0.1.0/NEWS
notification-daemon-engine-slider.i586: E: zero-length /usr/share/doc/notification-daemon-engine-slider-0.1.0/README
notification-daemon-engine-slider.i586: E: zero-length /usr/share/doc/notification-daemon-engine-slider-0.1.0/AUTHORS
notification-daemon-engine-slider-debuginfo.i586: E: description-line-too-long This package provides debug information for package notification-daemon-engine-slider.
3 packages and 0 specfiles checked; 4 errors, 0 warnings.

Should probably remove the empty files, or make them nonempty

Comment 2 Matthias Clasen 2009-09-24 04:07:53 UTC
formal review:

rpmlint: see above
package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: ok
spec language: ok
spec legible: ok
upstream sources: ok
buildable: ok
excludearch: n/a
build deps: ok
locale handling: n/a
shared libs: ok
bundling: ok
directory ownership: ok
duplicate files: ok
file permissions: ok
%clean: ok
macro use: ok
content: ok
large docs: n/a
%doc content: ok, but see about about empty files
headers: n/a
static libs: n/a
shared libs: n/a
devel deps: ok
libtool archives: ok
gui apps: n/a
file ownership: ok
%install: ok
utf8 filenames: ok

Looks ok. Just take care of the empty files. 

Approved.

Comment 3 jmccann 2009-09-24 15:13:17 UTC
Ok updated to fix the empty files.  Requesting cvs.

Comment 4 jmccann 2009-09-24 16:01:35 UTC
New Package CVS Request
=======================
Package Name: notification-daemon-engine-slider
Short Description: The Slider theme engine for the notification daemon
Owners: mccann
Branches: 
InitialCC:

Comment 5 Kevin Fenzi 2009-09-24 16:23:38 UTC
cvs done.

Comment 6 Matthias Clasen 2009-09-25 00:51:42 UTC
The package has been built


Note You need to log in before you can comment on or make changes to this bug.